net.minecraft.client.renderer.entity

## Class RenderBiped

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving
      - - net.minecraft.client.renderer.entity.RenderBiped

- Direct Known Subclasses:
    RenderSkeleton, RenderZombie

      public class RenderBiped
      extends RenderLiving

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `bipedArmorFilenamePrefix`
    `protected float` | `field_77070_b`
    `protected ModelBiped` | `field_82423_g`
    `protected ModelBiped` | `field_82425_h`
    `ModelBiped` | `modelBipedMain`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `mainModel, NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK, renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderBiped(ModelBiped par1ModelBiped, float par2)`
    `RenderBiped(ModelBiped par1ModelBiped, float par2, float par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLivingBase par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `static ResourceLocation` | `func_110857_a(ItemArmor par0ItemArmor, int par1)` Deprecated.
    `static ResourceLocation` | `func_110858_a(ItemArmor par0ItemArmor, int par1, java.lang.String par2Str)` Deprecated.
    `protected void` | `func_82408_c(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected void` | `func_82408_c(EntityLiving par1EntityLivingBase, int par2, float par3)`
    `protected void` | `func_82420_a(EntityLiving par1EntityLiving, ItemStack par2ItemStack)`
    `protected void` | `func_82421_b()`
    `protected void` | `func_82422_c()`
    `static ResourceLocation` | `getArmorResource(Entity entity, ItemStack stack, int slot, java.lang.String type)` More generic ForgeHook version of the above function, it allows for Items to have more control over what texture they provide.
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected ResourceLocation` | `getEntityTexture(EntityLiving par1EntityLiving)`
    `protected void` | `renderEquippedItems(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderEquippedItems(EntityLiving par1EntityLiving, float par2)`
    `protected int` | `shouldRenderPass(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected int` | `shouldRenderPass(EntityLiving par1EntityLiving, int par2, float par3)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderLiving

      `func_110813_b, func_110813_b, func_110827_b`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `func_96449_a, getColorMultiplier, getDeathMaxRotation, handleRotationFloat, inheritRenderPass, passSpecialRender, preRenderCallback, renderArrowsStuckInEntity, renderLivingAt, renderModel, renderSwingProgress, rotateCorpse, setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelBipedMain

          public ModelBiped modelBipedMain

    - #### field_77070_b

          protected float field_77070_b

    - #### field_82423_g

          protected ModelBiped field_82423_g

    - #### field_82425_h

          protected ModelBiped field_82425_h

    - #### bipedArmorFilenamePrefix

          public static java.lang.String[] bipedArmorFilenamePrefix

  - ### Constructor Detail

    - #### RenderBiped

          public RenderBiped(ModelBiped par1ModelBiped,
                     float par2)

    - #### RenderBiped

          public RenderBiped(ModelBiped par1ModelBiped,
                     float par2,
                     float par3)

  - ### Method Detail

    - #### func_82421_b

          protected void func_82421_b()

    - #### func_110857_a

          @Deprecated
          public static ResourceLocation func_110857_a(ItemArmor par0ItemArmor,
                                                  int par1)

      Deprecated.

    - #### func_110858_a

          @Deprecated
          public static ResourceLocation func_110858_a(ItemArmor par0ItemArmor,
                                                  int par1,
                                                  java.lang.String par2Str)

      Deprecated.

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLiving par1EntityLiving,
                             int par2,
                             float par3)

    - #### func_82408_c

          protected void func_82408_c(EntityLiving par1EntityLivingBase,
                          int par2,
                          float par3)

    - #### doRender

          public void doRender(EntityLiving par1EntityLiving,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderLiving`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntityLiving par1EntityLiving)

    - #### func_82420_a

          protected void func_82420_a(EntityLiving par1EntityLiving,
                          ItemStack par2ItemStack)

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLiving par1EntityLiving,
                                 float par2)

    - #### func_82422_c

          protected void func_82422_c()

    - #### func_82408_c

          protected void func_82408_c(EntityLivingBase par1EntityLivingBase,
                          int par2,
                          float par3)

      Overrides:
        `func_82408_c` in class `RendererLivingEntity`

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLivingBase par1EntityLivingBase,
                             int par2,
                             float par3)

      Overrides:
        `shouldRenderPass` in class `RendererLivingEntity`

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLivingBase par1EntityLivingBase,
                                 float par2)

      Overrides:
        `renderEquippedItems` in class `RendererLivingEntity`

    - #### doRender

          public void doRender(EntityLivingBase par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderLiving`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Specified by:
        `getEntityTexture` in class `Render`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderLiving`

    - #### getArmorResource

          public static ResourceLocation getArmorResource(Entity entity,
                                          ItemStack stack,
                                          int slot,
                                          java.lang.String type)

      More generic ForgeHook version of the above function, it allows for Items to have more control over what texture they provide.
      Parameters:
        `entity` - Entity wearing the armor
        `stack` - ItemStack for the armor
        `slot` - Slot ID that the item is in
        `type` - Subtype, can be null or "overlay"
      Returns:
        ResourceLocation pointing at the armor's texture